<?php
$galeriasDao = new \Dao\Galerias();
$galeriasDao->getGaleriaPorId($conecta, filter_input(INPUT_POST, 'id'));
$galeriasDao->nome = $conecta->real_escape_string(filter_input(INPUT_POST, 'nome'));
$galeriasDao->descricao = addslashes(filter_input(INPUT_POST, 'descricao'));
$galeriasDao->ordem = \Dao\Funcoes::getUltimoId($conecta, 'galerias', 'ordem');
$galeriasDao->slug = \Dao\Funcoes::removeCharacters($galeriasDao->nome, '-');
$galeriasDao->data_cadastro = date('Y-m-d H:i:s');
$galeriasDao->usuario_cadastrou = $_SESSION['id_usuario'];
$galeriasDao->data_alteracao = date('Y-m-d H:i:s');
$galeriasDao->usuario_alterou = $_SESSION['id_usuario'];

if (!empty($_FILES['logo']['name'])) {
    if ($galeriasDao->logo != '' && file_exists($pasta . $galeriasDao->logo))
        unlink($pasta . $galeriasDao->logo);
    $galeriasDao->logo = \Dao\Funcoes::randFileName($_FILES['logo']['name']);
    $dataX = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataX'));
    $dataY = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataY'));
    $dataWidth = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataWidth'));
    $dataHeight = $conecta->real_escape_string(filter_input(INPUT_POST, 'dataHeight'));
    $wide = WideImage::load($_FILES['logo']['tmp_name']);
    $crop = $wide->crop($dataX, $dataY, $dataWidth, $dataHeight);
    $crop->saveToFile($pasta . $galeriasDao->logo);
}

if (!empty($_FILES['image']['name'])) {
    if ($galeriasDao->capa != '' && file_exists($pasta . $galeriasDao->capa))
        unlink($pasta . $galeriasDao->capa);
    $galeriasDao->capa = \Dao\Funcoes::randFileName($_FILES['logo']['name']);
    $wide = WideImage::load($_FILES['image']['tmp_name']);
    $wide->saveToFile($pasta . $galeriasDao->capa);
}
$res = json_decode($galeriasDao->salvar($conecta));

if ($res->data == 'Success') 
    \Dao\Funcoes::displayMessage('Confirmação', $res->message, 'galerias.php');
else 
    \Dao\Funcoes::displayMessage('Erro', $res->message, 'galerias.php', 'red');